aspose file tools*
The moose likes Beginning Java and the fly likes runtime environment problem?? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Beginning Java
Bookmark "runtime environment problem??" Watch "runtime environment problem??" New topic
Author

runtime environment problem??

Can Chen
Greenhorn

Joined: Mar 02, 2002
Posts: 2
Do anyone happen to meet about such a situation?
It is really something strenge.
Pls help me solve it?
Thx in advance!
C:\j2sdk1.4.0\JNDI\getStarted\examples\src>java Getattr
Registry key 'Software\JavaSoft\Java Runtime Environment\CurentVersion'
has value '1.4', but '1.3' is required.
Error: could not find java.dll
Error: could not find Java 2 Runtime Environment. :roll: :roll:
Michael Morris
Ranch Hand

Joined: Jan 30, 2002
Posts: 3451
Hi can,
Looks like you have a corrupted or confused install. If you have recently installed the new JDK 1.4 and didn't uninstall the previous version (probably 1.3) then Windows doesn't know how (or which) to load the VM. I would try uninstalling both JDK's and reinstalling the one you want. This may fix problem and it may not. You may have to hack the registry which is always a dangerous proposition. If you decide to do either of these things, you should certainly make backups, especially the registry.
Hope this helps
Michael Morris
SCJP


Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius - and a lot of courage - to move in the opposite direction. - Ernst F. Schumacher
Dave Vick
Ranch Hand

Joined: May 10, 2001
Posts: 3244
Can
Welcome to the Java Ranch, we hope you’ll enjoy visiting as a regular however,
your name is not in keeping with our naming policy here at the ranch. Please change your display name to an appropriate name as shown in the policy.
Thanks again and we hope to see you around the ranch!!


Dave
Can Chen
Greenhorn

Joined: Mar 02, 2002
Posts: 2
Hi,
They all solved.
Thanks.
This was because that i change the CurrentVirsion of the runtime environment to 1.4 masually.
Now i know the virsion of development kit is differ from runtime environment.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: runtime environment problem??